Subject: bug#30068: 26.0; REGRESSION: no doc for `x-display-pixel-*'

From: Eli Zaretskii <[email-masked]>
Date: Sat, 13 Jan 2018 09:50:27 +0200

> From: Glenn Morris <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 12 Jan 2018 19:16:09 -0500
> 
> >> Related: I see Fsnarf_documentation already has skip_file, but it
> >> doesn't handle lisp files. Maybe it could be taught about
> >> preloaded-file-list, which would have avoided this particular problem.
> >
> > Not sure how: pc-win.el is preloaded (on some platforms).  Or maybe I
> > misunderstand you.
> 
> If Fsnarf_documentation had skipped the pc-win definition on platforms
> that did not load pc-win, the problem would have been confined to
> platforms that do load pc-win. There's only one such: MS-DOS, where
> no-one's interested in the doc of these functions, so it wouldn't matter.

So you want to special-case pc-win.el?  I thought this was a more
general proposal.

> Here's the basic patch for my suggestion.
> Turns out we can (and must) get rid of skip_files.
> In addition, all the X/W32/NS "x-" doc-strings need to be combined so
> that the X version describes all platforms. I thought this was already
> done, but in one of the first cases I looked it, it wasn't. But this has
> to be done anyway in the "real" solution, so the effort won't be wasted.

I'm not sure I understand: I thought we made all the doc strings of
such functions identical some time ago, to avoid this issue.  Which
doc strings are not identical between different implementations?

> +          /* Ignore docs that start with SKIP.  These mark
> +             placeholders where the real doc is elsewhere.  */

This must be in the ELisp manual, of course, and perhaps also in NEWS.

Thanks.